net.sf.jasperreports.engine.export

## Class JRXlsMetadataExporter.StyleInfo

- java.lang.Object
- - net.sf.jasperreports.engine.export.JRXlsMetadataExporter.StyleInfo

- Enclosing class:
    JRXlsMetadataExporter

      protected class JRXlsMetadataExporter.StyleInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected short` | `backcolor`
    `protected JRXlsMetadataExporter.BoxStyle` | `box`
    `protected org.apache.poi.hssf.usermodel.HSSFFont` | `font`
    `protected short` | `horizontalAlignment`
    `protected boolean` | `lcCellHidden`
    `protected boolean` | `lcCellLocked`
    `protected boolean` | `lcWrapText`
    `protected short` | `mode`
    `protected short` | `rotation`
    `protected short` | `verticalAlignment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXlsMetadataExporter.StyleInfo(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, JRXlsMetadataExporter.BoxStyle box)`
    `JRXlsMetadataExporter.StyleInfo(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, JRXlsMetadataExporter.BoxStyle box, boolean wrapText)`
    `JRXlsMetadataExporter.StyleInfo(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, JRXlsMetadataExporter.BoxStyle box, boolean cellLocked, boolean cellHidden)`
    `JRXlsMetadataExporter.StyleInfo(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, JRXlsMetadataExporter.BoxStyle box, boolean wrapText, boolean cellLocked, boolean cellHidden)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `computeHash()`
    `boolean` | `equals(java.lang.Object o)`
    `short` | `getDataFormat()`
    `boolean` | `hasDataFormat()`
    `int` | `hashCode()`
    `void` | `setDataFormat(short dataFormat)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mode

          protected final short mode

    - #### backcolor

          protected final short backcolor

    - #### horizontalAlignment

          protected final short horizontalAlignment

    - #### verticalAlignment

          protected final short verticalAlignment

    - #### rotation

          protected final short rotation

    - #### font

          protected final org.apache.poi.hssf.usermodel.HSSFFont font

    - #### box

          protected final JRXlsMetadataExporter.BoxStyle box

    - #### lcWrapText

          protected final boolean lcWrapText

    - #### lcCellLocked

          protected final boolean lcCellLocked

    - #### lcCellHidden

          protected final boolean lcCellHidden

  - ### Constructor Detail

    - #### JRXlsMetadataExporter.StyleInfo

          public JRXlsMetadataExporter.StyleInfo(short mode,
                                         short backcolor,
                                         short horizontalAlignment,
                                         short verticalAlignment,
                                         short rotation,
                                         org.apache.poi.hssf.usermodel.HSSFFont font,
                                         JRXlsMetadataExporter.BoxStyle box)

    - #### JRXlsMetadataExporter.StyleInfo

          public JRXlsMetadataExporter.StyleInfo(short mode,
                                         short backcolor,
                                         short horizontalAlignment,
                                         short verticalAlignment,
                                         short rotation,
                                         org.apache.poi.hssf.usermodel.HSSFFont font,
                                         JRXlsMetadataExporter.BoxStyle box,
                                         boolean wrapText)

    - #### JRXlsMetadataExporter.StyleInfo

          public JRXlsMetadataExporter.StyleInfo(short mode,
                                         short backcolor,
                                         short horizontalAlignment,
                                         short verticalAlignment,
                                         short rotation,
                                         org.apache.poi.hssf.usermodel.HSSFFont font,
                                         JRXlsMetadataExporter.BoxStyle box,
                                         boolean cellLocked,
                                         boolean cellHidden)

    - #### JRXlsMetadataExporter.StyleInfo

          public JRXlsMetadataExporter.StyleInfo(short mode,
                                         short backcolor,
                                         short horizontalAlignment,
                                         short verticalAlignment,
                                         short rotation,
                                         org.apache.poi.hssf.usermodel.HSSFFont font,
                                         JRXlsMetadataExporter.BoxStyle box,
                                         boolean wrapText,
                                         boolean cellLocked,
                                         boolean cellHidden)

  - ### Method Detail

    - #### computeHash

          protected int computeHash()

    - #### setDataFormat

          public void setDataFormat(short dataFormat)

    - #### hasDataFormat

          public boolean hasDataFormat()

    - #### getDataFormat

          public short getDataFormat()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com